commit:     3bfb0f9870e3831841d68f8ea112416bb1dc7713
Author:     Joe Konno <joe.konno <AT> intel <DOT> com>
AuthorDate: Fri Nov 20 02:33:11 2015 +0000
Commit:     Tony Vroon <chainsaw <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 15:55:46 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bfb0f98

media-plugins/alsa-plugins: version bump to 1.1.0

Bump version to 1.1.0. Epatches used in 1.0.29-r1 apply and appear to be
relevant, so carrying them forward in 1.1.0. All archs were masked
already, and may be deemed "stable" later on by the gentoo-sound team.

This appears to be a "bugfix" release. No new features, bells, or
whistles to account for.

ALSA Project release notes at:
    http://www.alsa-project.org/main/index.php/Changes_v1.0.29_v1.1.0

Package-Manager: Portage 2.2.20.1

v2: rebased on 6d4b41d7904e ("app-emulation/docker-compose: move enum34
    dependence")

Signed-off-by: Joe Konno <joe.konno <AT> intel.com>

 media-plugins/alsa-plugins/Manifest                |   1 +
 .../alsa-plugins/alsa-plugins-1.1.0.ebuild         | 101 +++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/media-plugins/alsa-plugins/Manifest 
b/media-plugins/alsa-plugins/Manifest
index 1e8b198..ea4e4ca 100644
--- a/media-plugins/alsa-plugins/Manifest
+++ b/media-plugins/alsa-plugins/Manifest
@@ -1,3 +1,4 @@
 DIST alsa-plugins-1.0.27.tar.bz2 363593 SHA256 
0bbd0c37c2dd7baf16363afb2e58169ffb0f9c0a70031b3b6235594630f3ab35 SHA512 
73c2010b66022429bc664bdab1c03694dfd669260dea569e32496bc6e10a11a0da2dd87db6a661ab1376f3aa59f1df8a84cb48ff1d20bb064756c655203f9993
 WHIRLPOOL 
4487734e0377c880a46df6f7fa53d86a7c38fa3d4bd35e06d128c0ec2b99c789ed64674b59003d8bd0abce2db53301234e467d235532ea145ddb150919cb49af
 DIST alsa-plugins-1.0.28.tar.bz2 366023 SHA256 
426f8af1a07ee9d8c06449524d1f0bd59a06e0331a51aa3d59d343a7c6d03120 SHA512 
c79cf22f426f500c704c947af602604c62a76a026c9b945589d1ca83dff16de23cec2f1c29c9713e42736092aa0d0389e514ca2ca646f8e4770c8aa8320725cc
 WHIRLPOOL 
9cb54e2a30a3f682aa23acb6317f267ffb3cd47eceb959fbce73c8db3ba7c8af420b91b91cce865f0aaf0c60b2920f51972640aff8413c871d0709fa7f4f90a6
 DIST alsa-plugins-1.0.29.tar.bz2 366077 SHA256 
325d85cac285f632b83e0191ae3f348bad03c1f007b937042f164abb81ea6532 SHA512 
6bc7d417ee5deb00a6e36864778deb4675a186951747cc799386288704f0d22a5c3d7011b6091602378d02ee79c4696ebb879140cebea392bd68937c8640898a
 WHIRLPOOL 
987c348b536b03b36c2e7f9bff733e5309961b6f052d6a76f1372eb231d9af92191c113d0a577221809b0fcc4bc9614f278afb10472bd1606822aab468210af3
+DIST alsa-plugins-1.1.0.tar.bz2 366296 SHA256 
3b83c329953bef99f5fe25ae04ec4a455fe6514939f3b45a5321966652b2c9ee SHA512 
5ed31ce1b6d11232d464d3cdef6015403840edbf2154266a479c2fde12ef4506e1f20c0f405ccee9cc39aec80be3bc41b10798a4475494ba56c6b4d69637fdc9
 WHIRLPOOL 
32c8460ed27a6a554f983e476e09847940e152cbc7b8cf0909243d312091560b1b25360249e3edeae50a46c5990f216cfd17915ec539812a5c473406705c2e73

diff --git a/media-plugins/alsa-plugins/alsa-plugins-1.1.0.ebuild 
b/media-plugins/alsa-plugins/alsa-plugins-1.1.0.ebuild
new file mode 100644
index 0000000..667bf33
--- /dev/null
+++ b/media-plugins/alsa-plugins/alsa-plugins-1.1.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic multilib multilib-minimal
+
+DESCRIPTION="ALSA extra plugins"
+HOMEPAGE="http://www.alsa-project.org/";
+SRC_URI="mirror://alsaproject/plugins/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 
~amd64-linux"
+IUSE="debug ffmpeg jack libav libsamplerate pulseaudio speex"
+
+RDEPEND="
+       >=media-libs/alsa-lib-${PV}:=[${MULTILIB_USEDEP}]
+       ffmpeg? (
+               libav? ( media-video/libav:= )
+               !libav? ( media-video/ffmpeg:0= )
+       )
+       jack? ( 
>=media-sound/jack-audio-connection-kit-0.121.3-r1[${MULTILIB_USEDEP}] )
+       libsamplerate? ( 
>=media-libs/libsamplerate-0.1.8-r1:=[${MULTILIB_USEDEP}] )
+       pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[${MULTILIB_USEDEP}] )
+       speex? ( >=media-libs/speex-1.2_rc1-r1:=[${MULTILIB_USEDEP}] )
+       abi_x86_32? (
+               !<app-emulation/emul-linux-x86-soundlibs-20140406-r1
+               !app-emulation/emul-linux-x86-soundlibs[-abi_x86_32]
+       )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-1.0.23-automagic.patch
+       epatch "${FILESDIR}"/${PN}-1.0.28-libav10.patch
+       has_version '>=media-video/ffmpeg-2.8' && epatch 
"${FILESDIR}"/${PN}-1.0.29-ffmpeg29.patch
+
+       epatch_user
+
+       # For some reasons the polyp/pulse plugin does fail with alsaplayer 
with a
+       # failed assert. As the code works just fine with asserts disabled, for 
now
+       # disable them waiting for a better solution.
+       sed -i \
+               -e '/AM_CFLAGS/s:-Wall:-DNDEBUG -Wall:' \
+               pulse/Makefile.am || die
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       use debug || append-cppflags -DNDEBUG
+
+       local myspeex=no
+       use speex && myspeex=lib
+
+       ECONF_SOURCE=${S} \
+       econf \
+               $(use_enable ffmpeg avcodec) \
+               $(use_enable jack) \
+               $(use_enable libsamplerate samplerate) \
+               $(use_enable pulseaudio) \
+               --with-speex=${myspeex}
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       cd doc || die
+       dodoc upmix.txt vdownmix.txt README-pcm-oss
+       use jack && dodoc README-jack
+       use libsamplerate && dodoc samplerate.txt
+       use ffmpeg && dodoc lavcrate.txt a52.txt
+
+       if use pulseaudio; then
+               dodoc README-pulse
+               # install ALSA configuration files
+               # making PA to be used by alsa clients
+               insinto /usr/share/alsa
+               doins "${FILESDIR}"/pulse-default.conf
+               insinto /usr/share/alsa/alsa.conf.d
+               doins "${FILESDIR}"/51-pulseaudio-probe.conf
+               # bug #410261, comment 5+
+               # seems to work fine without any path
+               sed -i \
+                       -e "s:/usr/lib/alsa-lib/::" \
+                       
"${ED}"/usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf || die #410261
+       fi
+
+       prune_libtool_files --all
+}
+
+pkg_postinst() {
+       if use pulseaudio; then
+               einfo "The PulseAudio device is now set as the default device 
if the"
+               einfo "PulseAudio server is found to be running. Any custom"
+               einfo "configuration in /etc/asound.conf or ~/.asoundrc for 
this"
+               einfo "purpose should now be unnecessary."
+       fi
+}

Reply via email to